<!DOCTYPE html>
<!--
Help file
-->
<html>
    <head>
        <title>TADler Help</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <h1 style="align-self: center">Help</h1>
        <div id="listdiv">
            <h3>Contents:</h3>
            <ul>
                <li><a href="#gettingstarted">Getting Started</a></li>
                <li><a href="#posting">The Timeline and Posting Tweets</a></li>
                <li><a href="#directmessages">Direct Messages</a></li>
                <li><a href="#retweets">Viewing Retweets</a></li>
                <li><a href="#searching">Searching Tweets</a></li>
                <li><a href="#saved">Saved Tweets</a></li>
            </ul>
        </div>
        <div id="gettingstarted">
            <h2>Getting Started:</h2>
            <p>TADler is a desktop Twitter client which provides basic tools for interacting with a Twitter account. First-time users will be asked to provide the secret keys provided with their developer account. Once these have been provided, the remainder of the program will become accessible.</p>
        </div><br/><br/><br/>
        <div id="posting">
            <h2>The Timeline and Posting Tweets:</h2>
            <p>Upon proceeding to the main application, and on subsequent launches, the program will display the timeline associated with the current account. The timeline is comprised of tweets by the current user and any other Twitter users they may be following. The Timeline page also provides a field for entering and posting tweets -- short messages of up to 280 characters.</p>
            <p>Each individual tweet displayed in the timeline can be interacted with in the following ways:</p>
            <ul>
                <li><strong>Like:</strong> Adds the tweet to the list of the user's liked tweets.</li>
                <li><strong>Retweet:</strong> Reposts the given tweet to the current user's own timeline, quoting the original user. Tweets can be retweeted with or without an added comment. See also: <a href="#retweets">Viewing Retweets</a>.</li>
                <li><strong>Save:</strong> Saves the tweet to a database, or removes the saved tweet if the user no longer wishes to store it. See also: <a href="#saved">Saved Tweets</a>.</li>
                <li><strong>User Info:</strong> Upon hovering the mouse over the tweet author's handle (preceded by @), a pop-up will appear showing some of the user's profile information, and providing the ability to:
                    <ul>
                        <li><strong>Follow or Unfollow the User:</strong> Following the tweet's author means their tweets will appear on the current user's home timeline.</li>
                        <li><strong>Send a DM:</strong> If the author of the tweet is following the current user, one may initiate a <a href="#directmessages">Direct Message</a> conversation.</li>
                    </ul>
                </li>
            </ul>
        </div><br/><br/><br/>
        <div id="directmessages">
            <h2>Direct Messages:</h2>
            <p>Direct messages provide a means for users to converse privately with other users they are following. The user in question must either be following them back, or have their direct messages open publicly. The Direct Messages screen will display a list of recent conversations. Selecting any of these conversations will load recent messages within that conversation and allow the user to send additional messages.</p>
        </div><br/><br/><br/>
        <div id="retweets">
            <h2>Viewing Retweets:</h2>
            <p>Clicking the Retweets button will display one of two distinct timelines (see <a href="#posting">The Timeline and Posting Tweets</a> for information on timelines) containing either tweets which have been retweeted by the current user, or tweets initially authored by the current user which have been retweeted by others. The desired timeline can be loaded by clicking the appropriate button.</p>
        </div><br/><br/><br/>
        <div id="searching">
            <h2>Searching Tweets:</h2>
            <p>The search interface provides a means of searching for tweets whose contents match the desired search terms. Upon entering the desired search terms and clicking the 'search' button, a timeline containing relevant tweets will be displayed to the user. These tweets can be interacted with in the same ways as those on the user's own timeline, as detailed in the <a href="#posting">Timeline and Posting Tweets</a> section.</p>
        </div><br/><br/>
        <div id="saved">
            <h2>Saved Tweets:</h2>
            <p>TADler provides a means of storing tweets for later viewing. Clicking the 'Save' button on a tweet from any timeline will store its contents. Saved tweets can be viewed by clicking the 'Saved Tweets' button.</p>
        </div>
    </body>
</html>
